if not Watcher then return end

if select(2, UnitClass('player')) ~= "ROGUE" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants
	
C["Sinister Strike"], _, C["Sinister Strike Icon"], C["Sinister Strike Cost"] = GetSpellInfo(48638)
C["Eviscerate"], _, C["Eviscerate Icon"], C["Eviscerate Cost"] = GetSpellInfo(48668)


Watcher.priorityTable.name["Sinister Strike"] = C["Sinister Strike"]
Watcher.priorityTable.icon["Sinister Strike"] = C["Sinister Strike Icon"]
Watcher.priorityTable.check["Sinister Strike"] =  
	function (FrameName, optionnum) 	
		Watcher:UpdateSpell(FrameName, optionnum, false, 0, false, 0, 1, C["Sinister Strike"], C["Sinister Strike Cost"], 0, 0) 
	end
		
Watcher.priorityTable.name["Eviscerate"] = C["Eviscerate"]
Watcher.priorityTable.icon["Eviscerate"] = C["Eviscerate Icon"]
Watcher.priorityTable.check["Eviscerate"] =  
	function (FrameName, optionnum) 	
		Watcher:UpdateSpell(FrameName, optionnum, false, 0, false, 0, 1, C["Eviscerate"], C["Eviscerate Cost"], 0, 0, 3) 
	end
		
Watcher.priorityTable.name["gcd"] = C["Sinsiter Strike"]
Watcher.priorityTable.icon["gcd"] = C["Sinister Strike"]
Watcher.priorityTable.check["gcd"] =  
	function (FrameName, optionnum) 	
		local start, duration = GetSpellCooldown(C["Sinister Strike"])
		if duration > 0 then
			FrameName:SetAlpha(1)
			local timeleft = start + duration - GetTime()
			Watcher:MoveIcon(FrameName, timeleft)
			FrameName.Text:SetText(Watcher:DurationString(timeleft))
			return
		end
		if start == 0 then
			FrameName.Text:Hide()
			FrameName:SetAlpha(0)
		else
			FrameName.Text:Show()
		end
	end 
